cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Generix Linux Commands extension frequency

g_kat
Helper

Hi,

I have installed the Generic Linux Commands extension (https://www.dynatrace.com/hub/detail/generic-linux-commands/?query=generix+linux&filter=all) and I'm unable to set the frequency of the command execution. No matter the number I set(or even leave blank) on the execution frequency tab, the command runs and ingests to Dynatrace every minute.

Has anyone else faced the same issue on this extension?

 

 

George

14 REPLIES 14

radek_jasinski
DynaMight Guru
DynaMight Guru

Perhaps there is an error in the setting of the "Frequency" parameter. I understand that you set the value here?
Would suggest reporting the problem to support.

Have a nice day!

Miguel_RinconG
Dynatrace Participant
Dynatrace Participant

JamesKitson
Dynatrace Guru
Dynatrace Guru

Hi George, I looked into this and was able to reproduce. It looks like there was an issue incrementing the counter that is used in setting the frequency. I have a fix and will be updating on the Hub once it is ready. I'll post here at that time once it is available.

@g_kat We just pushed a fix for this today. If you check the Hub page you linked you'll see the new version.

Good news 😉

Have a nice day!

Great, will download and check it out.

Thank you James!

Tried to get it today, but the extension is not available on the Hub. Did it need more fixing?

 

Mike_L
Dynatrace Guru
Dynatrace Guru

The extension is seen as a potential security risk due to the ability to execute commands on any server where the extension is present, and it is therefore removed. If you still want to use it I can reach out to you over email with a link to the new version. Just let me know here (there is no need to share your email address).

Mike

Hi Mike,

I understand the potential risk, but I'd still like to have that option. I would greatly appreciate if you could share it with me.

Mike_L
Dynatrace Guru
Dynatrace Guru

Shared.

Mike

Hello Mike 

I would like to use this extention, I installed "Linux Commands (version 1.021)", because this the disponible version in Dynatrace Hub, It's this the last version? I would like to known more about the security risk.

Thanks

Luis

The latest version of the Generic Linux Commands extension is version 1.0.5, but it was removed due to a potential security risk as it allows people with access to the UI to execute commands as dtuser on OneAgent monitored hosts.

We do require a manual interaction of copying the extension file to the OneAgent, proving that you have access to the host and are accepting that the code is being executed on said host. However, not everyone might be aware of what the implications are of said extension when they copy the files to the host.

As you mentioned version 1.021, you're probably referring to another extension than what this thread is about, the Synthetic Monitor SSH extension.

Mike

Hi MIke,

Ok Ok, I understand, I'm sorry for the confusion on my part.

Thanks, 

Best Regards

Luis

Hi @Mike_L 

Can you share the link to me too please!

 

Featured Posts